/** @file main.h
 *
 * Nur Funktionsprototypen etc. fuer main.c; keine Einstellungen
 *
 * $Date: 2020-08-01 20:41:52 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 31 $
 *
 * @date 17.04.2019 @author Nicolas */

#ifndef MAIN_H_INCLUDED
    #define MAIN_H_INCLUDED


    #include "sw_config.h"
    #include "myassert.h"
    #include <stdint.h>

    #ifndef static_inline
        #define static_inline static inline __attribute__((always_inline))
    #endif


    /** Millisekundenzaehler, wird in SysTick hochgezaehlt. Laeuft in 49,7 Tagen ueber */
    extern volatile uint32_t counter_milliseconds;

    /** Puffer fuer Zeichenketten */
    extern char glTextbuffer[TEXTBUFFERSIZE_BYTES];

    /** Puffer fuer Pixel */
    extern uint8_t glPixelbuffer[PIXELBUFFERSIZE_BYTES];

    /** Versions-String */
    extern const char *buildRevisionString;


    void RunAllTests(void);
    int runUnityUnittests(void);





#endif /* MAIN_H_INCLUDED */
