/** @file userinterface.h
 *
 * Benutzerschnittstelle: Buttons, Textausgaben, etc.
 *
 * $Date: 2020-08-04 18:20:49 +0200 (Di, 04 Aug 2020) $
 * $Revision: 41 $
 *
 * @date 26.04.2018 @author Nicolas */

#ifndef USERINTERFACE_H_INCLUDED
    #define USERINTERFACE_H_INCLUDED

    #include <stdbool.h>
    #include "text_window.h"

    typedef struct Ui_s
    {
        Textwindowdump_t Dump;
    }
    Ui_t;

    int ui_getAction(void);
    int ui_getKey0Action(void);
    int ui_getIncrementFast(void);
    int ui_getIncrementSlow(void);
    int ui_getButtonTime(void);

    exit_t ui_init(Ui_t *Ui, const char *title);
    void ui_deinit(Ui_t *Ui);


    int ui_putstr(const char *s);
    int ui_printf(constflash char * format, ...);
    void ui_setcursor(uint8_t line, uint8_t col);
    void ui_clear(void);

    #define ui_printf_P ui_printf


#endif
