/*
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 */

#include "delay.h"
#include "unity_fixture.h"
#include "sw_config.h"



#if defined( INCLUDE_UNIT_TESTS )

    TEST_GROUP(delay);
    TEST_SETUP(delay){ }
    TEST_TEAR_DOWN(delay){ }


    TEST_GROUP_RUNNER(delay)
    {
        RUN_TEST_CASE(delay, nCycleNanosecond);
        RUN_TEST_CASE(delay, nCycleMillisecond);
        RUN_TEST_CASE(delay, bruteForce);
    }



    TEST(delay, nCycleNanosecond)
    {
        TEST_ASSERT_EQUAL( 0, nanosecondToCycle(0, 168000000ULL) );
        TEST_ASSERT_EQUAL( 1, nanosecondToCycle(1, 168000000ULL) );
        TEST_ASSERT_EQUAL( 2, nanosecondToCycle(10, 168000000ULL) );
    }

    TEST(delay, nCycleMillisecond)
    {
        TEST_ASSERT_EQUAL( 0, millisecondToCycle(0, 168000000ULL) );
        TEST_ASSERT_EQUAL( 168000UL, millisecondToCycle(1, 168000000ULL) );
        TEST_ASSERT_EQUAL( 168000000UL, millisecondToCycle(1000, 168000000ULL) );
        TEST_ASSERT_EQUAL( 1000000000UL, millisecondToCycle(5000, 200000000ULL) );
    }


    TEST(delay, bruteForce)
    {
        delay_ns(1000);
    }

#else
    typedef int this_is_no_empty_translation_unit;

#endif

