/** @file encoder_soft.h
 *
 * Auslesen eines oder mehrerer Drehgeber
 *
 * Die Funktion encoder_get() pollt den Drehgeber ohne !negative!
 * Nebenwirkungen und kann beliebig oft aufgerufen werden. encoder_get_diff()
 * gibt Werte zwischen aufeinanderfolgenden Aufrufen zurueck.
 * Mit encoder_get() in einer schnellen Programmschleife oder ISR und
 * encoder_get_diff() in einer langsamen Programmschleife laesst sich eine
 * schnelle Benutzerschnittstelle realisieren.
 *
 * Funktionen fuer AVR und STM32
 *
 * $Date: 2020-06-17 11:20:09 +0200 (Mi, 17 Jun 2020) $
 * $Revision: 12 $
 *
 * @date 09.07.2013 @author Nicolas */

#ifndef ENCODER_SOFT_H
    #define ENCODER_SOFT_H

    #include <stdint.h>


    uint_fast16_t encoder_soft_get(uint_fast8_t i);
    uint_fast8_t encoder_soft_init(void);

    int_fast8_t encoder_soft_get_diff(uint_fast8_t i);


#endif
