/** @file coord.c
 *
 * 2-D-Koordinaten (Integer-Operationen)
 *
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 *
 * @date 1.11.2017 @author Nicolas */


#include "coord.h"
#include "nstdlib.h"


/** Punkte/Koordinaten sortieren (Bubble-Sort)
 *
 * @param[in,out] Pos: zu sortierende Liste
 * @param[in] nEl: Anzahl der Listenelemente
 * @param[in] dir: 'x'|'y'|'b': Sortierkriterium,
                'b' zerlegt Koordinaten und sortiert nach Komponenten
 * @return: SUCCESS */
exit_t coord2_sort(Coord2_t *Pos, int nEl, char dir)
{
    int i, j;

    if( dir == 'x' ) // // Punke nach x sortieren
    {

        for (i = 0; i < nEl-1; ++i)
        {
            for (j = 0; j < nEl - i - 1; ++j)
            {
                if (Pos[j].x > Pos[j + 1].x)
                {
                    Coord2_t tmp = Pos[j];
                    Pos[j] = Pos[j + 1];
                    Pos[j + 1] = tmp;
                }
            }
        }
        return EXIT_SUCCESS;
    }
    else if( dir == 'y' ) // // Punke nach y sortieren
    {

        for (i = 0; i < nEl-1; ++i)
        {
            for (j = 0; j < nEl - i - 1; ++j)
            {
                if (Pos[j].y > Pos[j + 1].y)
                {
                    Coord2_t tmp = Pos[j];
                    Pos[j] = Pos[j + 1];
                    Pos[j + 1] = tmp;
                }
            }
        }
        return EXIT_SUCCESS;
    }
    else if( dir == 'b' ) /* Koordinaten auseinanderreissen und nach beidem sortieren */
    {

        for (i = 0; i < nEl-1; ++i)
        {
            for (j = 0; j < nEl - i - 1; ++j)
            {
                if (Pos[j].x > Pos[j + 1].x)
                {
                    Coord2_t tmp = Pos[j];
                    Pos[j].x = Pos[j + 1].x;
                    Pos[j + 1].x = tmp.x;
                }
            }
        }

        for (i = 0; i < nEl-1; ++i)
        {
            for (j = 0; j < nEl - i - 1; ++j)
            {
                if (Pos[j].y > Pos[j + 1].y)
                {
                    Coord2_t tmp = Pos[j];
                    Pos[j].y = Pos[j + 1].y;
                    Pos[j + 1].y = tmp.y;
                }
            }
        }
        return EXIT_SUCCESS;
    }

    else
        return EXIT_FAILURE;

}
