/** @file gfx_draw.c
 *
 * Allgemeine Darstellung von Grafikelementen
 *
 * $Date: 2020-08-01 12:19:01 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 28 $
 *
 * @date 01.08.2020 @author Nicolas */

#include "gfx_draw.h"
#include "sw_config.h"
#include <stdint.h>





/** Koordinaten an existierende Bildschirmgroesse anpassen
 * Rechteck mit "Pos" und "Size" wird so beschnitten, dass es in den Bildschirm passt.
 * Es wird davon ausgegangen, dass das Rechteckt normalisiert ist, d.h. die Positions-
 * Koordinate links oben bezeichnet und w und h positiv sind.
 *
 * @param[in] R: Rechteck
 * @return beschnittenes Rechteck */
Rect_t gfx_cliprect(Rect_t R)
{
    return rect_intersect(R, gfx_getDisplayDimensions());
}



/** Ganzen Bildschirm fuellen.
 * Das dauert ohnehin recht lange, deswegen lohnt Inline-Funktion nicht.
 *
 * @param[in] color: Hintergrundfarbe
 * @return EXIT_SUCCESS */
void gfx_fillscreen(color_t color)
{
    drawRectF(gfx_getDisplayDimensions(), color);
}
