/** @file gfx_draw_rectangles.h
 *
 * Grafikfunktionen fuer GLCD und TFT: Rechtecke (ohne direkten Hardware-Bezug)
 *
 * Die Funktionen eigenen sich fuer Farb- und Monochrom-LCD gleichermassen, da der Farbvektor
 * einfach an die Low-Level-Grafikfunktion durchgereicht wird.
 *
 * $Date: 2020-08-02 19:08:25 +0200 (So, 02 Aug 2020) $
 * $Revision: 32 $
 *
 * @date 04.03.2017 @author Nicolas */

#ifndef GFX_RECTANGLES_H_INCLUDED
    #define GFX_RECTANGLES_H_INCLUDED

    #include "color.h"
    #include "coord.h"
    #include "rect.h"

    exit_t drawRect(Rect_t R, Colors_t Color);
    exit_t drawDottedRect(Rect_t R, Colors_t Color);
    exit_t drawRectRounded(Rect_t R, int16_t radius, Colors_t Color);

#endif
