/** @file gfx_draw_triangles.h
 *
 * Grafikfunktionen fuer GLCD und TFT: Dreiecke
 *
 * Die Funktionen eigenen sich fuer Farb- und Monochrom-LCD gleichermassen, da der Farbvektor
 * einfach an die Low-Level-Grafikfunktion durchgereicht wird.
 *
 * $Date: 2020-08-02 19:08:25 +0200 (So, 02 Aug 2020) $
 * $Revision: 32 $
 *
 * @date 1.11.2017 @author Nicolas */

#ifndef GFX_DRAW_TRIANGLES_H_INCLUDED
    #define GFX_DRAW_TRIANGLES_H_INCLUDED

    #include "color.h"
    #include "coord.h"


    void drawTriangle(Coord2_t Pos0, Coord2_t Pos1, Coord2_t Pos2, color_t color);
    void drawTriangleF(Coord2_t Pos0, Coord2_t Pos1, Coord2_t Pos2, Colors_t Color);

#endif
