/** @file rect.c
 *
 * Funktionen mit Rechtecken
 *
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 *
 * @date 9.12.2017 @author Nicolas */


#include "rect.h"



/** Rechteck in einzelne Stuecke mit maximal nPixel Pixeln zerlegen.
 * Mehrmaliger Aufruf gibt komplettes Rechteck zurueck.
 * @param[in] Rest: Ursprungs-Rechteck oder Rest
 * @param[in] nPixel: Maximale Rechteck-Flaeche
 * @return Verkleinertes Rechteck */
Rect_t rect_token(Rect_t *Rest, size_t nPixel)
{
    if( Rest->w == 0 || Rest->h == 0 )
    {
        return *Rest = (Rect_t) {0, 0, 0, 0};
    }

    assert( Rest->h >= 0 && Rest->w >= 0 );
    ifast16_t blockHeight = nPixel/Rest->w;



    Rect_t R = *Rest;
    if( blockHeight >= Rest->h )
    {
        /* Letzter Block */
        R = *Rest;
        *Rest = (Rect_t) {0, 0, 0, 0};
    }
    else if( blockHeight < R.h )
    {
        R.h = blockHeight;
        Rest->y += blockHeight;
        Rest->h -= blockHeight;
    }

    return R;
}
