/** @file glcd_framebuffer.h
 *
 * Frame-Buffer-Funktionalitaet aller Grafik-LCDs mit 8-Bit-Bloecken (z.B. KS0108, PCD8544 etc.)
 *
 * $Date: 2020-08-01 12:19:01 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 28 $
 *
 * @date 11.06.2020 @author Nicolas */


#ifndef GLCD_FRAMEBUFFER_H_INCLUDED
    #define GLCD_FRAMEBUFFER_H_INCLUDED

    #include "color.h"
    #include "rect.h"


    void glcd_frmbuf_putdat(uint8_t value);
    void glcd_frmbuf_setpos(uint16_t pos);
    uint16_t glcd_frmbuf_getpos(void);
    void glcd_frmbuf_clear();

    void glcd_frmbuf_drawPixel(Coord2_t Pos, color_t color);
    void glcd_frmbuf_drawRectF(Rect_t R, color_t color);
    void glcd_drawLinearBitmap(const uint8_t *bitmap, Rect_t R, Colors_t Color);



    /* glcd_generic.h und glcd_framebuffer.h includen sich gegenseitig.
       glcd_generic.h benoetigt die Funktionsprototypen, glcd_framebuffer.h das MAKRO GLCD_END. */
    #include "glcd_generic.h"
    extern uint8_t gl_framebuffer[GLCD_END];
    extern uint16_t gl_pos;


#endif /* GLCD_FRAMEBUFFER_H_INCLUDED */
