/** @file glcd_pcd8544.h
 *
 * Ansteuerung Grafik-LCD  mit Controller PCD8544, z.B. Displays von Nokia 3210, 3310, 5510
 *
 * Pinbezeichnungen:
 *
 * DC : Data/Command
 * CE, SCE: Chip Enable
 * SDIN, Serial Data input
 *
 * $Date: 2020-08-11 18:40:35 +0200 (Di, 11 Aug 2020) $
 * $Revision: 58 $
 *
 * @date 08.03.2014 @author Nicolas */



#ifndef GLCD_PCD8544_H
  	#define GLCD_PCD8544_H


    #include <stdint.h>

    /* Displaymasse
     * Eizelne Bloecke werden wie Zeilen behandelt */
    #define GLCD_PCD8544_END (84*6)
    #define GLCD_PCD8544_WIDTH_PX 84
    #define GLCD_PCD8544_DISPHEIGHT 6





	/* Funktionsprototypen (allgemein) */
	void glcd_pcd8544_reset(void);
	void glcd_pcd8544_putdat(uint8_t value);
	void glcd_pcd8544_init(void);
	void glcd_pcd8544_clear(void);
	void glcd_pcd8544_setpos(uint16_t Pos);
	void glcd_pcd8544_drawnow(void);
	void glcd_pcd8544_powerdown(void);

#endif
