/** @file Utest_pushbutton_time.c
 *
 * Nutzer-interaktive Tests: Tastendruck-Dauer
 *
 * $Date: 2020-06-17 11:20:09 +0200 (Mi, 17 Jun 2020) $
 * $Revision: 12 $
 *
 * @date 09.05.2018 @author Nicolas */


#include "Utest_all.h"
#include "pushbutton_time.h"
#include "userinterface.h"



/** Interaktiver Test: Dauer eines Tastendrucks
 *
 * Auf dem Display wird die gemessene Dauer des letzten Tastendrucks dargestellt. Beenden durch
 * Drehen des Drehgebers */
void Utest_buttonTime(void)
{
    Ui_t Ui;
    ui_init(&Ui, "Pushbuttontime");
    ui_clear();
    ui_printf("Test pushbutton time\nTurn encoder to end");
    int turn = 0;

    while( ABS(turn) < 10 )
    {
        turn += ui_getIncrementFast();

        ui_setcursor(2, 0);
        ui_printf_P(PSTR("Time=%i    "), buttonTime_get());
        ui_setcursor(3, 0);
        ui_printf_P(PSTR("Time=%i    "), ui_getButtonTime());
    }

    ui_deinit(&Ui);
}
