/** @file pushbutton_time.h
 *
 * Dauer eines Pin-Zustands, z.B.\ Tastendruck ermitteln.
 * Eine explizite Entprellung ist nicht notwendig.
 *
 * Poll-Funktionen lesen externen Tasterzustand aus und sollten in regelmaessigen Zeit-
 * abstaenden abgefragt werden. Get-Funktionen habe keine Nebenwirkungen.
 *
 * $Date: 2020-08-12 07:47:33 +0200 (Mi, 12 Aug 2020) $
 * $Revision: 59 $
 *
 * @date 8.05.2018 @author Nicolas */


#ifndef PUSHBUTTON_TIME_H_INCLUDED
    #define PUSHBUTTON_TIME_H_INCLUDED

    #include <stdint.h>


    void buttonTime_init(void);
    int_fast16_t buttonTime_get(void);
    void buttonTime_poll(void);


#endif /* PUSHBUTTON_TIME_H_INCLUDED */
