/** @file i2c_simple.h
 *
 * Einfache Variante von I2C-Routinen
 *
 * Diese koennen auf allen Plattformen angewendet werden, wo START/READ_ACK/READ_NACK etc. getrennt
 * hintereinander verarbeitet werden koennen, z.B. AVR, STM32F4xx und Bitbanging. Auf dem
 * STM32F10x sind andere Implementierungen besser.
 *
 * Fuer die Timeouts wird erwartet, dass der Timeout-Timer (setTimeout und
 * pollTimeout) laeuft (sonst wird z.B. der Scan steckenbleiben)
 *
 * $Date: 2020-06-17 11:20:09 +0200 (Mi, 17 Jun 2020) $
 * $Revision: 12 $
 *
 * @date 22.12.13 @author Nicolas */



#ifndef I2C_SIMPLE_H
    #define I2C_SIMPLE_H

    #include "i2c.h"

    #ifndef I2C_Direction_Transmitter
        #define  I2C_Direction_Transmitter      ((uint8_t)0x00)
        #define  I2C_Direction_Receiver         ((uint8_t)0x01)
    #endif

#endif
