/** @file menu_color_private_draw.h
 *
 * Menusystem (Hilfsfunktionen): Darstellung
 *
 * * Darstellung eines Menues
 *
 * * Darstellung von "Popup-Fenstern"
 *
 * @TODO: Die Menu-Zeichen-Funktionen enthalten ein paar Duplikate (MenuItemState_t, MenuState_t,
 *         MenuItemData_t), die das Ganze etwas undurchsichtig machen. Eigentlich konnte das etwas
 *         verbessert werden, aber es funktioniert momentan fehlerfrei, deswegen Verbesserungen
 *         aufschieben auf die naechste Funktionserweiterung
 *
 * $Date: 2020-06-17 11:20:09 +0200 (Mi, 17 Jun 2020) $
 * $Revision: 12 $
 *
 * @date 19.03.2018 @author Nicolas  */


#ifndef MENU_COLOR_PRIVATE_DRAW_H
    #define MENU_COLOR_PRIVATE_DRAW_H

    #include "menu_color.h"



    /** Grafische Elemente des Menus */
    enum menuGfxEle_e
    {
        menuGfx_none       = 0x00,
        menuGfx_scrollbar  = 0x01,
        menuGfx_headline   = 0x02,
        menuGfx_textarea   = 0x04,
        menuGfx_activeItem = 0x08,
        menuGfx_all        = 0xFF,
    };



    /** Menuitems betreffende oder aus ihnen extrahierte Daten */
    typedef struct Menuitemdata_s
    {
        uint8_t selected;  /**< Aktuelles Element */
    }
    Menuitemdata_t;



    /** Aktueller Zustand Menu */
    typedef struct MenuState_s
    {
        uint8_t selectedItem;   /**< Aktuelle ausgewaehltes Element */
        uint8_t scrollPos;      /**< Aktuelle Scroll-Position */
        uint8_t nScrollPos;     /**< Anzahl der moeglichen Scroll-Positionen */
        //uint32_t itemval;       /**< Wert des Items */
    }
    MenuState_t;



    typedef struct Menudrawdata_s Menudrawdata_t;



    Menudrawdata_t * menudraw_init(constflash Menuitem_t Menuitem[], constflash Menuconfig_t *MCfg);
    void menudraw_deinit(Menudrawdata_t *me);
    void menudraw_reset(Menudrawdata_t *Me);
    int menudraw_update(Menudrawdata_t *Me, uint8_t selected);

#endif
