/** @file wallclock.c
 *
 * Uhrzeiten, Timeouts etc.
 *
 *
 * $Date: 2020-06-17 11:20:09 +0200 (Mi, 17 Jun 2020) $
 * $Revision: 12 $
 *
 * @date 12.02.2018 @author Nicolas */



#include "wallclock.h"




/** Umrechnung Millisekunden in Millisekunden, Sekunden, Minuten, Stunden und Tage
 * @param[in] Zeit in Millisekunden
 * @return Zeit in Millisekunden, Sekunden, Minuten, Stunden und Tage */
Wallclock_time_t wallclock_ms2wallclocktime(uint32_t ms)
{
    Wallclock_time_t time;
    time.ms = ms%1000;
    ms /= 1000;

    time.s = ms%60;
    ms /= 60;

    time.m = ms%60;
    ms /= 60;

    time.h = ms%24;
    ms /= 24;

    time.d = ms;

    return time;
}
