/** @file mocksdl.c
 *
 * FTMctrl-Mock-up
 * SDL-Funktionen fuer Emulation
 *
 * @todo: Das ist hauptsaechlich eine Altlast. Kann wahrscheinlich ersatzlos wegfallen.
 *
 * $Date: 2020-08-12 16:39:52 +0200 (Mi, 12 Aug 2020) $
 * $Revision: 66 $
 *
 * @date 22.12.2014 @author Nicolas */


#include "sw_config.h"


#if defined( INCLUDE_MOCKUP_SDL )

    #include <stdint.h>
    #include <stdio.h>
    #include <stdbool.h>
    #include <SDL2/SDL.h>
    #include "mocksdl_input.h"
    #include "mocksdl_timer.h"
    #include "mocksdl.h"




    static bool isSDLInit = false;


    void sdl_init(void)
    {
        if( !isSDLInit )
        {
            SDL_Init(SDL_INIT_VIDEO);
            isSDLInit = true;

            mock_input_init();
        }
    }


    void sdl_deinit(void)
    {
        mock_input_deinit();
    }



    /* Loop-Funktion fuer Input-Polls in allen Hauptschleifen */
    int loop(void)
    {
        mock_event_poll();
        return 1;
    }


    /* Diese Funktion wird innerhalb des Kontrollflusses von allen Funktionen
     * gepollt, die Zugriff auf Hardware haben, z.B. Dregeber und GLCD. Nicht immer
     * wird ein Update vollzogen */
    void mock_event_poll(void)
    {
        static uint32_t nextRedraw = 0;
        uint32_t tick = SDL_GetTicks();

        if(tick > nextRedraw)
        {
            mock_input_poll();
            //glcd_mocksdl_drawFramebuffer();
            nextRedraw = tick + 50;
        }
    }


#else
    typedef int this_is_no_empty_translation_unit;
#endif
