/** @file mock_input.h
 *
 * SDL-Mockup: Einfache Emulation des Verhaltens der Eingabegeraete ueber SDL2
 *
 * Der Drehgeber wird ueber die Tastatur emuliert. Einer Rechtsdrehung
 * entspricht die Pfeil-Hoch-Taste, einer Linksdrehung die Pfeil-Herunter-Taste.
 * Dem Tastendruck entspricht die Enter-Taste.
 *
 * Der Event-Poll beendet das Programm mit exit(), falls das Fenster geschlossen
 * wird.
 *
 * $Date: 2020-08-12 16:39:52 +0200 (Mi, 12 Aug 2020) $
 * $Revision: 66 $
 *
 * @date 20.04.2015 @author Nicolas */


#ifndef MOCK_INPUT_H
	#define MOCK_INPUT_H

    #include <stdbool.h>
    #include <stdint.h>

	void mock_input_init(void);
	void mock_input_deinit(void);
	void mock_input_poll(void);

    extern uint_fast8_t glSdlenc;
    extern bool glSdlkey;

#endif
