/** @file mocksdl_key.c
 *
 * SDL-Mockup: Einzeltaster entprellen und auswerten
 *
 * (Stub fuer Simulation am PC)
 *
 * $Date: 2020-08-12 16:39:52 +0200 (Mi, 12 Aug 2020) $
 * $Revision: 66 $
 *
 * @date 24.01.2014 @author Nicolas */


#include "sw_config.h"



#if defined( INCLUDE_MOCKUP_SDL )

    #include <stdio.h>
    #include "mocksdl_key.h"
    #include "mocksdl.h"
    #include "mocksdl_input.h"


    volatile uint_fast16_t glSdlTime = 0; // Dauer Tastendruck

    #if 0
        /* @todo: Altlasten koennen wahrscheinlich geloescht werden */
    /* Taster initialisieren (Port) */
    void key_init(void) {}



    /* Taster abfragen und entprellen (active Low), genau eine positive Ausgabe pro
     * Tastendruck. Zum Pollen in der Hauptschleife */
    bool key_getstroke(void)
    {
        mock_event_poll(); // Tastatur-Emulation pollen
        uint16_t temp = glSdlTime;
        glSdlTime = 0;
        return (bool) temp;
    }
    #endif


    /** Dauer eines Tastendrucks in Vielfachen der Polling-Zeit (Emulation)
     *
     * @see buttonTime_get()
     *
     * @return > 0 : low, return < 0 : high */
    int_fast16_t mocksdl_buttonTime_get(void)
    {
        /* Tastatur-Emulation pollen */
        mock_event_poll();

        uint16_t temp = glSdlTime;
        glSdlTime = 0;
        return temp;
    }


#else
    typedef int this_is_no_empty_translation_unit;
#endif
