/*
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 */



#include "sw_config.h"



#if defined( INCLUDE_UNIT_TESTS )

    #include "myassert.h"
    #include "unity_fixture.h"
    #include <stdio.h>

    extern void triggerHardFault(void);


    TEST_GROUP(myassert);
    TEST_SETUP(myassert) {}
    TEST_TEAR_DOWN(myassert) {}


    TEST_GROUP_RUNNER(myassert)
    {
        RUN_TEST_CASE(myassert, prepare);
        RUN_TEST_CASE(myassert, unpreparedError);
        RUN_TEST_CASE(myassert, triggerHardFault);
    }



    TEST(myassert, prepare)
    {
        prepareErrorCondition();
        TEST_ASSERT_EQUAL( false, isErrorConditionTriggered() );
        if( TEST_PROTECT() )
        {
            error("test");
        }
        TEST_ASSERT_EQUAL( true, isErrorConditionTriggered() );
        TEST_ASSERT_EQUAL( true, isErrorConditionTriggered() );
        clearErrorCondition();
        TEST_ASSERT_EQUAL( false, isErrorConditionTriggered() );
    }


    TEST(myassert, unpreparedError)
    {
        TEST_IGNORE();
        // Dieser Test bringt das Programm wirklich zum Absturz, da im unvorbereiteten
        // Zustand ein echter Fehler erzeugt wird. Das ist gewuenschtes Verhalten, um im
        // Test vorbereitete (=getestete) und unvorbereitete Fehler zu finden.

        clearErrorCondition();
        TEST_ASSERT_EQUAL( false, isErrorConditionTriggered() );
        if( TEST_PROTECT() )
        {
            error("test"); // <====   Wird niemals ueberschritten
        }
        TEST_ASSERT_EQUAL( true, isErrorConditionTriggered() );
    }


    TEST(myassert, triggerHardFault)
    {
        TEST_IGNORE();
        triggerHardFault();
        TEST_ASSERT( false );
    }


#else
    typedef int this_is_no_empty_translation_unit;

#endif
