/*
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 */

#include "sw_config.h"



#if defined( INCLUDE_UNIT_TESTS )

    #include "mystring.h"
    #include "unity_fixture.h"
    #include <stdio.h>

    #include "myassert.h"
    #include "nstdlib.h"


    TEST_GROUP(mystring);
    TEST_SETUP(mystring) {}
    TEST_TEAR_DOWN(mystring) {}


    TEST_GROUP_RUNNER(mystring)
    {
        RUN_TEST_CASE(mystring, strsep);
    }





    TEST(mystring, strsep)
    {
        char s0[] = "Hallo\t\tDu\t\t";
        char delim[] = "\t\n";

        #if 0
            char *ss = mystrdup(s0);
        #else
            // das (original) malloc() in strdup passt nicht mit dem free() von unity zusammen
            int len = strlen(s0);
            char *ss = malloc(len+1);
            strcpy(ss, s0);
        #endif

        char *tok = ss, *rest = ss;

        tok = strsep(&rest, delim);
        TEST_ASSERT_EQUAL_STRING( "Hallo", tok );

        tok = strsep(&rest, delim);
        TEST_ASSERT_EQUAL_STRING( "", tok );

        tok = strsep(&rest, delim);
        TEST_ASSERT_EQUAL_STRING( "Du", tok );

        tok = strsep(&rest, delim);
        TEST_ASSERT_EQUAL_STRING( "", tok );

        tok = strsep(&rest, delim);
        TEST_ASSERT_NULL(tok)

        free(ss);
        ss = NULL;
    }

#else
    typedef int this_is_no_empty_translation_unit;

#endif
