/*
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 */

#include "sw_config.h"



#if defined( INCLUDE_UNIT_TESTS )

    #include "strfun.h"
    #include "unity_fixture.h"
    #include <stdio.h>

    #include "myassert.h"
    #include "nstdlib.h"


    TEST_GROUP(strfun);
    TEST_SETUP(strfun) {}
    TEST_TEAR_DOWN(strfun) {}


    TEST_GROUP_RUNNER(strfun)
    {
        RUN_TEST_CASE(strfun, strNextline);
        RUN_TEST_CASE(strfun, countLines);
    }



    TEST(strfun, strNextline)
    {
        prepareErrorCondition();
        if( TEST_PROTECT() )
        {
            strNextLine(NULL);
        }
        TEST_ASSERT_TRUE( isErrorConditionTriggered() );
        clearErrorCondition();

        TEST_ASSERT_EQUAL( 'D', *strNextLine("Hallo\nDu") );
        TEST_ASSERT_EQUAL( '\0', *strNextLine("Hallo") );
        TEST_ASSERT_EQUAL( '\0', *strNextLine("") );
    }



    TEST(strfun, countLines)
    {
        TEST_ASSERT_EQUAL( 0, strCountLines(""));
        TEST_ASSERT_EQUAL( 1, strCountLines("la") );
        TEST_ASSERT_EQUAL( 2, strCountLines("Hallo\nDu") );
        TEST_ASSERT_EQUAL( 2, strCountLines("Hallo\nDu\n") );
        TEST_ASSERT_EQUAL( 3, strCountLines("Hallo\nDu\n ") );
    }




#else
    typedef int this_is_no_empty_translation_unit;

#endif
