/** @file strfun.c
 *
 * String-Hilfsfunktionen
 *
 * $Date: 2020-06-17 11:20:09 +0200 (Mi, 17 Jun 2020) $
 * $Revision: 12 $
 *
 * @data 01.05.2018 @author Nicolas */



#include "strfun.h"
#include "myassert.h"
#include <stddef.h>



/** Anfang der naechsten Zeile finden: (Nach manuellem Zeichenumbruch) durch Newline oder Tab
 *
 * @param[in] s: Eingangs-String
 * @return Zeiger auf naechste Zeile */
const char *strNextLine(const char *s)
{
    assert( s != NULL );

    char c;
    while( (c=*s++) )
    {
        if( c == '\n' || c == '\t' )
        {
            /* naechste Zeile erreicht */
            return s;
        }
    }
    /* Ende Erreicht -> leerer String */
    return --s;

}



/** Anzahl der Zeilen in einer Zeichenkette zaehlen
 *
 * @param[in] s: Eingangs-String
 * @return Anzahl der Zeilen */
int strCountLines(const char *s)
{
    assert( s != NULL );
    int r = 0;
    while( *s != '\0' )
    {
        s = strNextLine(s);
        r++;
    }
    return r;
}
