/*
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 */

#include "sw_config.h"



#if defined( INCLUDE_UNIT_TESTS )

    #include "text_window.h"
    #include "tft_text.h"
    #include "unity_fixture.h"





    TEST_GROUP(text_window);
    TEST_SETUP(text_window) { }
    TEST_TEAR_DOWN(text_window) { }


    TEST_GROUP_RUNNER(text_window)
    {
        RUN_TEST_CASE(text_window, dump);
    }




    TEST(text_window, dump)
    {
        TEST_ASSERT_EQUAL( 8, sizeof(Rect_t) );
        TEST_ASSERT_EQUAL( 4, sizeof(Colors_t) );


        #ifdef __MINGW64__
            TEST_ASSERT_EQUAL( 8, sizeof(void *) );

            /* 8 + 8 + 4 + padding */
            TEST_ASSERT_EQUAL( 24 , sizeof(Textwindowdump_t) );
        #else
            TEST_ASSERT_EQUAL( 4, sizeof(void *) );
            TEST_ASSERT_EQUAL( 16 , sizeof(Textwindowdump_t) );
        #endif
    }


#else
    typedef int this_is_no_empty_translation_unit;

#endif
