/** @file text_window.c
 *
 * Funktionen zu Texten, Textfeldern, Textdarstellung
 *
 * @todo: Doxygen-Dokumentation dieser Datei quasi nicht-existent
 *
 * $Date: 2020-08-13 11:28:54 +0200 (Do, 13 Aug 2020) $
 * $Revision: 68 $
 *
 * 4.11.2017 Nicolas */

#include "text_window.h"
#include "tft_text.h"
#include <stdlib.h>
#include "text_cursor.h"
#include "u8g2_fontdata.h"




// Textfeld-Eigenschaften: Default-/ Startwerte
Textwindow_t Textwindow =
{
    .Cursor= {.x = 20, .y = 0},
    .Color = {black, green},
    .Window = {.x = 0, .y = 0, .w = 240, .h = 240}, /* Passt auf jeden Fall aufs TFT */
    .font = font_monospaceTerminal,
};


const uint8_t * textwindow_getFont(void)
{
    return Textwindow.font;
}



// Zeilenumbruch vollziehen
void text_newline(void)
{
    cursor_newline();;
}



exit_t textwindow_invertColors(void)
{
    Colors_t tmp = textwindow_getColors();
    textwindow_setColors((Colors_t) {.bg = tmp.fg, .fg = tmp.bg} );
    return EXIT_SUCCESS;
}


/* Schriftfenster festlegen */
exit_t text_setWindow(Rect_t R)
{
    Textwindow.Window = R;
    return EXIT_SUCCESS;
}


/* Schriftfenster lesen  */
Rect_t text_getWindow(void)
{
    return Textwindow.Window;
}


Colors_t textwindow_getColors(void)
{
    return Textwindow.Color;
}


/* Schrift- und Hintergrundfarbe festlegen */
uint_fast8_t textwindow_setColors(Colors_t Color)
{
    Textwindow.Color = Color;
    return EXIT_SUCCESS;
}


/* Schriftart festlegen */
uint_fast8_t textwindow_setFont(const uint8_t *font)
{
    assert( font != NULL );
    Textwindow.font = font;
    return EXIT_SUCCESS;
}



/* Alle Parameter eines Textfensters, die zur Wiederherstellung noetig sind, sichern */
Textwindowdump_t textwindow_dumpSettings(void)
{
    Textwindowdump_t Dump;
    //Dump.font = font_get();
    Dump.font = textwindow_getFont();
    Dump.Color = textwindow_getColors();
    Dump.Window = text_getWindow();
    return Dump;
}

/* Textfenster wiederherstellen */
exit_t textwindow_restoreSettings(Textwindowdump_t Dump)
{
    exit_t ret = EXIT_SUCCESS;
    text_setWindow(Dump.Window);
    textwindow_setColors(Dump.Color);
    if( Dump.font != NULL )
    {
        textwindow_setFont(Dump.font);
    }
    return ret;
}
