/** @file text_window.h
 *
 * Funktionen zu Texten, Textfeldern, Textdarstellung
 *
 * @todo: Doxygen-Dokumentation dieser Datei unvollstaendig
 *
 * $Date: 2020-08-13 11:28:54 +0200 (Do, 13 Aug 2020) $
 * $Revision: 68 $
 *
 * @date 4.11.2017 @author Nicolas */

#ifndef TEXT_WINDOW_H
    #define TEXT_WINDOW_H


    #include "coord.h"
    #include "rect.h"
    #include "color.h"
    #include "tft_text.h"
    #include "font.h"




    /** Textfeld-Eigenschaften: Eigenschaften des Fensters */
    typedef struct Textwindow_s
    {
        Rect_t Window;          /**< Fenstergroesse und -Position */
        Coord2_t Cursor;        /**< Cursor-Position (nach unten und rechts) */
        Colors_t Color;         /**< Vorder- und Hintergrundfarbe */
        const uint8_t *font;    /**< Schrift-Daten */
    }
    Textwindow_t;


    /** Alle Eigenschaften eines Textfensters, die zur Wiederherstellung noetig sind */
    typedef struct Textwindowdump_s
    {
        const uint8_t *font;    /**< Schriftart */
        Rect_t Window;          /**< Fenstergroesse und -Position */
        Colors_t Color;         /**< Vorder- und Hintergrundfarbe */
    }
    Textwindowdump_t;

    Textwindowdump_t textwindow_dumpSettings(void);
    exit_t textwindow_restoreSettings(Textwindowdump_t Dump);

    void text_newline(void);
    uint_fast8_t text_invert(void);
    uint_fast8_t text_normal(void);


    uint_fast8_t text_setWindow(Rect_t R);
    Rect_t text_getWindow(void);

    uint_fast8_t textwindow_setColors(Colors_t Color);
    Colors_t textwindow_getColors(void);
    uint_fast8_t textwindow_setFont(const uint8_t *font);
    const uint8_t * textwindow_getFont(void);

    exit_t textwindow_invertColors(void);

    static inline uint_fast8_t window_getLineHeight(void)
    {
        const uint8_t *font = textwindow_getFont();
        return font_fontBbx(font).h;
    }





    /* Text in Feld links- mittig oder rechtsbuendig darstelen */
    Rect_t textfield(Rect_t R, char const* s, enum rect_orientation_e orientation);




#endif
