/** @file tft_text.h
 *
 * Text-Funktionen fuer TFT-GLCD
 *
 * Die Text-Funktione fuer ein TFT-LCD (z.B. ILI9341) sind etwas aufwendiger als fuer die
 * reinen Zeilen-LCDs (z.B. KS0108), da Fonts mit 8 Pixeln Hoehe wenig Sinn ergeben und
 * der Cursor manuell implementiert werden muss.
 *
 * $Date: 2020-08-01 12:19:01 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 28 $
 *
 * @date 29.09.2017 @author Nicolas */

#ifndef TFTTEXT_H
    #define TFTTEXT_H

    #include <stdint.h>
    #include "nstdlib.h"
    #include "gfx_draw.h"



    exit_t tft_putChar(uint16_t c);
    uint_fast16_t tft_putstr(const char *zeichenkette);
    uint_fast16_t tft_putstrn(const char *zeichenkette, size_t n);

    exit_t tft_text_newline(void);

    Rect_t font_lineBbx(const uint8_t *font, char const* s);
    Rect_t font_strBbx(const uint8_t *font, char const* s);

#endif
