/*
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 */


#include "font.h"
#include "sw_config.h"



#if defined( INCLUDE_UNIT_TESTS )

    #include "unity_fixture.h"
    #include "tft_text.h"
    #include "text_window.h"
    #include "u8g2_fontdata.h"



    static const uint8_t * FontSave;


    TEST_GROUP(font);
    TEST_SETUP(font)
    {
        //FontSave = font_get();
        //textfont_init(Monofont5x8);
    }

    TEST_TEAR_DOWN(font)
    {
        if( FontSave != NULL )
        {
            textwindow_setFont(FontSave);
        }
    }



    TEST_GROUP_RUNNER(font)
    {
        RUN_TEST_CASE(font, getFontBbx);
        RUN_TEST_CASE(font, getCharPitch);
    }



    TEST(font, getFontBbx)
    {
        Rect_t BBx = font_fontBbx(font_monospaceTerminal);
        TEST_ASSERT_EQUAL( -1, BBx.x );
        TEST_ASSERT_EQUAL( -8, BBx.y );
        TEST_ASSERT_EQUAL( 8, BBx.w );
        TEST_ASSERT_EQUAL( 11, BBx.h );
    }



    TEST(font, getCharPitch)
    {
        //TEST_ASSERT_EQUAL_PTR( &monofontchar_getCharPitch, Font_vtable.char_getCharPitch );

        //TEST_ASSERT_EQUAL( 6, fontchar_getCharPitch('a'));
        //TEST_ASSERT_EQUAL( 6, fontchar_getCharPitch('\0'));
        //TEST_ASSERT_EQUAL( 0, fontchar_getCharPitch('\n'));

    }

#else
    typedef int this_is_no_empty_translation_unit;

#endif
