/** @file Utest_font.c
 *
 * Nutzer-interaktive Tests: Schriftarten-Darstellung
 *
 * @date 12.02.2020 @author Nicolas */



#include "font.h"
#include "gfx_draw.h"
#include "gfx_draw_rectangles.h"
#include "text_cursor.h"
#include "text_window.h"
#include "u8g2_fontdata.h"
#include "userinterface.h"
#include <stdio.h>


/** Test: Berechnung der Zeilen-Bounding-Box */
void Utest_font_lineBBx(void)
{
    Textwindowdump_t Save = textwindow_dumpSettings();

    text_setWindow(gfx_getDisplayDimensions());

    const uint8_t *font = font_largestFontAvailable;
    textwindow_setFont(font);
    cursor_setPosition((Coord2_t) {10, 10});

    const char *s = "Tststrng!@";
    tft_putstr(s);
    Rect_t Bbx = font_lineBbx(font, s);
    Bbx.x = 10;
    Bbx.y = 10;
    drawRect(Bbx, (Colors_t) {yellow, transparent});

    int dx = cursor_getPosition().x - 10;
    printf("BBX-len:%i, Cursor-Diff:%i\n", Bbx.w, dx);

    //print_allTextSymbolsBdf(u8g2_font_logisoso92_tn, "u8g2_font_logisoso92_tn");

    textwindow_restoreSettings(Save);
    while( !ui_getAction() );
}
