/** @file u8g2_font_decoder.h
 *
 *  This Code is based on
 *
 *  U8g2 for Adafruit GFX Lib (https://github.com/olikraus/U8g2_for_Adafruit_GFX)
 *
 *  Copyright (c) 2018, olikraus@gmail.com
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without modification,
 *  are permitted provided that the following conditions are met:
 *
 *  * Redistributions of source code must retain the above copyright notice, this list
 *    of conditions and the following disclaimer.
 *
 *  * Redistributions in binary form must reproduce the above copyright notice, this
 *    list of conditions and the following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 *  CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 *  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *  DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 *  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 *  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 *  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 *  $Date: 2020-06-17 11:20:09 +0200 (Mi, 17 Jun 2020) $
 *  $Revision: 12 $
 *
 *  @date 25.03.2018 @author Nicolas */


#ifndef U8G2_FONT_DECODER_H_INCLUDED
    #define U8G2_FONT_DECODER_H_INCLUDED


    typedef struct GlyphOutline_s GlyphOutline_t;

    #include <stdint.h>
    #include "rect.h"
    #include "u8g2_font_find_glyph.h"


    GlyphOutline_t u8g2glyph_decodeHeader(const uint8_t *font, const uint8_t *glyph);
    void u8g2glyph_decodeBitmap(const uint8_t *font, const uint8_t *glyph, uint8_t *pixelbuffer);


#endif
